# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .integration_account_resource import IntegrationAccountResource


class IntegrationAccount(IntegrationAccountResource):
    """IntegrationAccount.

    :param id: The resource id.
    :type id: str
    :param name: The resource name.
    :type name: str
    :param type: The resource type.
    :type type: str
    :param location: The resource location.
    :type location: str
    :param tags: The resource tags.
    :type tags: dict
    :param properties: The integration account properties.
    :type properties: object
    :param sku: The sku.
    :type sku: :class:`IntegrationAccountSku
     <azure.mgmt.logic.models.IntegrationAccountSku>`
    """ 

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'location': {'key': 'location', 'type': 'str'},
        'tags': {'key': 'tags', 'type': '{str}'},
        'properties': {'key': 'properties', 'type': 'object'},
        'sku': {'key': 'sku', 'type': 'IntegrationAccountSku'},
    }

    def __init__(self, id=None, name=None, type=None, location=None, tags=None, properties=None, sku=None):
        super(IntegrationAccount, self).__init__(id=id, name=name, type=type, location=location, tags=tags)
        self.properties = properties
        self.sku = sku
