# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .sub_resource import SubResource


class WorkflowAccessKey(SubResource):
    """WorkflowAccessKey.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :param id: Gets or sets the resource id.
    :type id: str
    :param not_before: Gets or sets the not-before time.
    :type not_before: datetime
    :param not_after: Gets or sets the not-after time.
    :type not_after: datetime
    :ivar name: Gets the workflow access key name.
    :vartype name: str
    :ivar type: Gets the workflow access key type.
    :vartype type: str
    """ 

    _validation = {
        'name': {'readonly': True},
        'type': {'readonly': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'not_before': {'key': 'properties.notBefore', 'type': 'iso-8601'},
        'not_after': {'key': 'properties.notAfter', 'type': 'iso-8601'},
        'name': {'key': 'name', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
    }

    def __init__(self, id=None, not_before=None, not_after=None):
        super(WorkflowAccessKey, self).__init__(id=id)
        self.not_before = not_before
        self.not_after = not_after
        self.name = None
        self.type = None
